// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyCgAVCdWmeBejX3_EQzptf092hyo2RvhaU',
    appId: '1:459710416664:web:02e876f70692d7f7cb806d',
    messagingSenderId: '459710416664',
    projectId: 'mk-chat-app-857d2',
    authDomain: 'mk-chat-app-857d2.firebaseapp.com',
    storageBucket: 'mk-chat-app-857d2.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyDz7OTL9ZxSK3Yum5oLR0dcLOsiMVNTFek',
    appId: '1:459710416664:android:fd0c75f0af45d0cacb806d',
    messagingSenderId: '459710416664',
    projectId: 'mk-chat-app-857d2',
    storageBucket: 'mk-chat-app-857d2.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDLQOSB2BTNA3wEFBmjhQbY5hGI_Wzis5k',
    appId: '1:459710416664:ios:8d1c54ae1a1a8c12cb806d',
    messagingSenderId: '459710416664',
    projectId: 'mk-chat-app-857d2',
    storageBucket: 'mk-chat-app-857d2.appspot.com',
    iosBundleId: 'com.jcs090218.mkChatApp',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyDLQOSB2BTNA3wEFBmjhQbY5hGI_Wzis5k',
    appId: '1:459710416664:ios:51c340a9b2a1411ccb806d',
    messagingSenderId: '459710416664',
    projectId: 'mk-chat-app-857d2',
    storageBucket: 'mk-chat-app-857d2.appspot.com',
    iosBundleId: 'com.jcs090218.mkChatApp.RunnerTests',
  );
}
